/*╔════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════╗*/
/*║ HEADER I                                                                                                                                                                                                                                              ║*/
/*╚════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════════╝*/
/***-------------------------------------------*** Space for Header ***-------------------------------------------***/
#cmsgrid > div:first-of-type { padding-top: 120px; }

/***-------------------------------------------*** Header ***-------------------------------------------***/
header { position: fixed; z-index: 1000; inset: 0 0 auto 0; height: 120px; background: var(--white); transition: var(--transition); }
body.scrolled header { box-shadow: 0 4px 4px 0 rgba(0,0,0,0.2); }
header .cms_container_wide { position: relative; height: 120px; padding: 0 30px; }

/***-------------------------------------------*** Hamburger ***-------------------------------------------***/
header #hHamburger { cursor: pointer; position: absolute; top: 50%; right: 30px; transform: translateY(-50%); display: none; }
#hHamburgerIcon { position: relative; width: 48px; height: 35px; transition: var(--transition); }
#hHamburgerIcon span { position: absolute; left: 0; display: block; width: 100%; height: 3px; background: var(--color-btn); transform: rotate(0deg); transition: var(--transition); will-change: transform; }
#hHamburgerIcon span:first-child,
#hHamburgerIcon span:nth-child(2),
#hHamburgerIcon span:last-child { transform-origin: left center; }
#hHamburgerIcon span:first-child { top: 0px; }
#hHamburgerIcon span:nth-child(2) { top: 16px; }
#hHamburgerIcon span:last-child { top: 32px; }
body.navi #hHamburgerIcon span:first-child { top: -1px; left: 7px; transform: rotate(45deg); }
body.navi #hHamburgerIcon span:nth-child(2) { width: 0%; opacity: 0; }
body.navi #hHamburgerIcon span:last-child { top: 33px; left: 7px; transform: rotate(-45deg); }

/***-------------------------------------------*** Logo ***-------------------------------------------***/
body #logo_container { position: absolute; z-index: 1; top: 39px; left: 30px; width: 306px; height: 59px; transition: var(--transition); }
body #logo_container > a { position: absolute; z-index: 2; inset: 0; background: center left / contain no-repeat url("/pages/img/logo.svg"); }

/***-------------------------------------------*** Desktop ***-------------------------------------------***/
@media screen and (min-width: 1201px) {
	/* Start: First-Level */
	header #hNavigation > ul { display: flex; justify-content: flex-end; align-items: center; gap: 45px; width: 100%; padding: 60px 0 0 336px; }
	header #hNavigation > ul > li { position: relative; display: block; padding: 0 0 41px 0; }
	header #hNavigation > ul > li > a { display: flex; align-items: center; gap: 8px; }
	header #hNavigation > ul > li > a:not([href]) { cursor: auto; }
	header #hNavigation > ul > li > a > span { display: block; font-weight: 600; font-size: 16px; line-height: 19px; text-transform: uppercase; color: var(--color-btn); white-space: nowrap; transition: var(--transition); }
	header #hNavigation > ul > li.current > a > span,
	header #hNavigation > ul > li:hover > a > span { color: var(--secondary); }
	/* End: First-Level */

	/* Start: Toggler */
	header #hNavigation > ul > li > a > .toggler { display: block; width: 12px; height: 7px; }
	header #hNavigation > ul > li > a > .toggler > svg { display: block; width: 12px; height: 7px; will-change: transform; }
	header #hNavigation > ul > li > a > .toggler > svg > path { stroke: var(--color-btn); }
	header #hNavigation > ul > li:hover > a > .toggler > svg { transform: rotate(180deg); }
	/* End: Toggler */

	/* Start: Second-Level */
	header #hNavigation > ul > li > ul { position: absolute; top: 60px; right: 0; display: none; flex-direction: column; gap: 28px; min-width: 100%; padding: 35px 30px 30px 30px; background: var(--white); border-radius: 0 0 var(--border-radius-default) var(--border-radius-default); box-shadow: var(--box-shadow-subnavi); }
	header #hNavigation > ul > li:hover > ul { display: flex; }
	header #hNavigation > ul > li > ul > li { display: block; }
	header #hNavigation > ul > li > ul > li:last-of-type { margin: 0 0 12px 0; }
	header #hNavigation > ul > li > ul > li > a { position: relative; display: flex; padding: 0 0 0 88px; }
	header #hNavigation > ul > li > ul > li > a:before { content: ""; position: absolute; z-index: 1; bottom: -12px; left: 88px; width: calc(100% - 88px); height: 1px; background: var(--primary); }
	header #hNavigation > ul > li > ul > li > a > span { display: block; width: 100%; font-weight: 600; font-size: 17px; line-height: 21px; color: var(--color-btn); white-space: nowrap; transition: var(--transition); }
	header #hNavigation > ul > li > ul > li.current > a > span,
	header #hNavigation > ul > li > ul > li:hover > a > span { color: var(--primary); }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg { pointer-events: none; position: absolute; z-index: 1; top: 50%; left: 0; transform: translateY(-50%); width: 70px; height: 70px; opacity: 0; visibility: visible; transition: var(--transition); }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg:before { content: ""; position: absolute; z-index: -1; inset: 0; background: var(--primary); border-radius: 50%; }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg > img { width: 100%; height: 100%; }
	header #hNavigation > ul > li > ul > li:hover > a > .hSubNavImg { opacity: 1; visibility: visible; }
	/* End: Second-Level */

	/* Start: Scrolled */
	header,
	header .cms_container_wide,
	body #logo_container,
	header #hNavigation > ul,
	header #hNavigation > ul > li,
	header #hNavigation > ul > li > ul { transition: var(--transition); }

	body.scrolled header { height: 98px; }
	body.scrolled header .cms_container_wide { height: 98px; }
	body.scrolled #logo_container { top: 22px; }
	body.scrolled header #hNavigation > ul { padding: 55px 0 0 336px; }
	body.scrolled header #hNavigation > ul > li { padding: 0 0 24px 0; }
	body.scrolled header #hNavigation > ul > li > ul { top: 43px; }
	/* End: Scrolled */
}

/***-------------------------------------------*** Tablet ***-------------------------------------------***/
@media screen and (min-width: 960px) and (max-width: 1200px) {
	/* Start: Header */
	header #hHamburger { display: block; }
	body #logo_container { top: 50%; transform: translateY(-50%); }
	/* End: Header */

	/* Start: Navigation */
	header #hNavigation { position: fixed; top: 120px; right: -100%; bottom: 0; overflow-y: auto; transition: var(--transition); }
	body.navi header #hNavigation { right: 0; }
	/* End: Navigation */

	/* Start: First-Level */
	header #hNavigation > ul { display: flex; flex-direction: column; gap: 56px; padding: 30px; background: var(--white); border-radius: 0 0 var(--border-radius-default) var(--border-radius-default); box-shadow: var(--box-shadow-subnavi); }
	header #hNavigation > ul > li { display: flex; flex-direction: column; align-items: center; gap: 58px; }
	header #hNavigation > ul > li > a { display: flex; align-items: center; gap: 17px; }
	header #hNavigation > ul > li > a:not([href]) { cursor: auto; }
	header #hNavigation > ul > li > a:has(.toggler) { padding-right: 45px; margin-left: 45px; }
	header #hNavigation > ul > li > a > span { display: block; font-weight: 600; font-size: 22px; line-height: 27px; text-transform: uppercase; color: var(--color-btn); white-space: nowrap; transition: var(--transition); }
	header #hNavigation > ul > li.current > a > span,
	header #hNavigation > ul > li > a:hover > span { color: var(--secondary); }
	/* End: First-Level */

	/* Start: Toggler */
	header #hNavigation > ul > li > a > .toggler { display: block; width: 28px; height: 16px; }
	header #hNavigation > ul > li > a > .toggler > svg { display: block; width: 28px; height: 16px; will-change: transform; }
	header #hNavigation > ul > li > a > .toggler > svg > path { stroke: var(--color-btn); }
	header #hNavigation > ul > li.open > a > .toggler > svg { transform: rotate(180deg); }
	/* End: Toggler */

	/* Start: Second-Level */
	header #hNavigation > ul > li > ul { display: none; flex-direction: column; gap: 63px; width: 100%; }
	header #hNavigation > ul > li.open > ul { display: flex; }
	header #hNavigation > ul > li > ul > li { display: block; }
	header #hNavigation > ul > li > ul > li:last-of-type { margin: 0 0 34px 0; }
	header #hNavigation > ul > li > ul > li > a { position: relative; display: flex; padding: 0 0 0 84px; }
	header #hNavigation > ul > li > ul > li > a:before { content: ""; position: absolute; z-index: 1; bottom: -34px; left: 84px; width: calc(100% - 84px); height: 1px; background: var(--primary); }
	header #hNavigation > ul > li > ul > li > a > span { display: block; width: 100%; font-weight: 600; font-size: 20px; line-height: 24px; color: var(--color-btn); white-space: nowrap; transition: var(--transition); }
	header #hNavigation > ul > li > ul > li.current > a > span,
	header #hNavigation > ul > li > ul > li:hover > a > span { color: var(--primary); }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg { pointer-events: none; position: absolute; z-index: 1; top: 50%; left: 0; transform: translateY(-50%); width: 70px; height: 70px; opacity: 0; visibility: visible; transition: var(--transition); }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg:before { content: ""; position: absolute; z-index: -1; inset: 0; background: var(--primary); border-radius: 50%; }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg > img { width: 100%; height: 100%; }
	header #hNavigation > ul > li > ul > li:hover > a > .hSubNavImg { opacity: 1; visibility: visible; }
	/* End: Second-Level */

	/* Start: Scrolled */
	header,
	header .cms_container_wide,
	header #hNavigation { transition: var(--transition); }

	body.scrolled header { height: 98px; }
	body.scrolled header .cms_container_wide { height: 98px; }
	body.scrolled header #hNavigation { top: 98px; }
	/* End: Scrolled */
}

/***-------------------------------------------*** Smartphone ***-------------------------------------------***/
@media screen and (max-width: 959px) {
	/* Start: Header */
	header #hHamburger { display: block; }
	body #logo_container { top: 50%; transform: translateY(-50%); width: 233px; height: 45px;}
	/* End: Header */

	/* Start: Navigation */
	header #hNavigation { position: fixed; top: 120px; right: -100vW; bottom: 0; width: 100vW; overflow-y: auto; background: var(--white); transition: var(--transition); }
	body.navi header #hNavigation { right: 0; }
	/* End: Navigation */

	/* Start: First-Level */
	header #hNavigation > ul { display: flex; flex-direction: column; gap: 56px; padding: 30px; }
	header #hNavigation > ul > li { display: flex; flex-direction: column; align-items: center; gap: 58px; }
	header #hNavigation > ul > li > a { display: flex; align-items: center; gap: 17px; }
	header #hNavigation > ul > li > a:not([href]) { cursor: auto; }
	header #hNavigation > ul > li > a:has(.toggler) { padding-right: 45px; margin-left: 45px; }
	header #hNavigation > ul > li > a > span { display: block; font-weight: 600; font-size: 22px; line-height: 27px; text-transform: uppercase; color: var(--color-btn); white-space: nowrap; transition: var(--transition); }
	header #hNavigation > ul > li.current > a > span,
	header #hNavigation > ul > li > a:hover > span { color: var(--secondary); }
	/* End: First-Level */

	/* Start: Toggler */
	header #hNavigation > ul > li > a > .toggler { display: block; width: 28px; height: 16px; }
	header #hNavigation > ul > li > a > .toggler > svg { display: block; width: 28px; height: 16px; will-change: transform; }
	header #hNavigation > ul > li > a > .toggler > svg > path { stroke: var(--color-btn); }
	header #hNavigation > ul > li.open > a > .toggler > svg { transform: rotate(180deg); }
	/* End: Toggler */

	/* Start: Second-Level */
	header #hNavigation > ul > li > ul { display: none; flex-direction: column; gap: 63px; width: 100%; }
	header #hNavigation > ul > li.open > ul { display: flex; }
	header #hNavigation > ul > li > ul > li { display: block; }
	header #hNavigation > ul > li > ul > li:last-of-type { margin: 0 0 34px 0; }
	header #hNavigation > ul > li > ul > li > a { position: relative; display: flex; padding: 0 0 0 84px; }
	header #hNavigation > ul > li > ul > li > a:before { content: ""; position: absolute; z-index: 1; bottom: -34px; left: 84px; width: calc(100% - 84px); height: 1px; background: var(--primary); }
	header #hNavigation > ul > li > ul > li > a > span { display: block; width: 100%; font-weight: 600; font-size: 20px; line-height: 24px; color: var(--color-btn); white-space: nowrap; transition: var(--transition); }
	header #hNavigation > ul > li > ul > li.current > a > span,
	header #hNavigation > ul > li > ul > li:hover > a > span { color: var(--primary); }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg { pointer-events: none; position: absolute; z-index: 1; top: 50%; left: 0; transform: translateY(-50%); width: 70px; height: 70px; opacity: 0; visibility: visible; transition: var(--transition); }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg:before { content: ""; position: absolute; z-index: -1; inset: 0; background: var(--primary); border-radius: 50%; }
	header #hNavigation > ul > li > ul > li > a > .hSubNavImg > img { width: 100%; height: 100%; }
	header #hNavigation > ul > li > ul > li:hover > a > .hSubNavImg { opacity: 1; visibility: visible; }
	/* End: Second-Level */

	/* Start: Scrolled */
	header,
	header .cms_container_wide,
	header #hNavigation { transition: var(--transition); }

	body.scrolled header { height: 82px; }
	body.scrolled header .cms_container_wide { height: 82px; }
	body.scrolled header #hNavigation { top: 82px; }
	/* End: Scrolled */
}